## ros-kinetic-qt-create 0.2.10

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.0)
project(qt_create)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

# Set this up as a python build deb based on pypi later. We just install
# to catkin's global bin dir for now.
