=== debian/changelog ===
ros-kinetic-qt-create (0.2.10-0xenial) xenial; urgency=high

  * Workaround applied for Qt4 and BOOST_JOIN problems

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 10 Feb 2018 05:00:00 -0000

ros-kinetic-qt-create (0.2.9-0xenial) xenial; urgency=high

  * add dependency on qt_build so an app can be created and compiled immediately

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 19 Feb 2016 05:00:00 -0000

ros-kinetic-qt-create (0.2.8-0xenial) xenial; urgency=high

  * bugfix catkin package depend tags

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Jul 2015 04:00:00 -0000

ros-kinetic-qt-create (0.2.7-0xenial) xenial; urgency=high

  * update for indigo

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 27 Jul 2014 04:00:00 -0000

ros-kinetic-qt-create (0.2.6-0xenial) xenial; urgency=high

  * bugfix catkin crawling of the templates directory.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 29 Jun 2014 04:00:00 -0000

ros-kinetic-qt-create (0.2.2-0xenial) xenial; urgency=high

  * Catkinize for hydro.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 24 Oct 2013 04:00:00 -0000
